#ifndef SETUP_H
#define SETUP_H

#include <p18f25k20.h>

void setup(void);




void setup(void)
{
	// Oscillator Setup - 16MHZ x 4 PLL
	OSCCON 	= 0b01110110; 
	OSCTUNE = 0b01011111;		
	
	// ADC Configuration
	ADCON0 	= 0b00000001;
	ADCON1 	= 0b00000000;
	ADCON2  = 0b00111110;
	ANSEL 	= 0b00000001;
			
	// Global Interrupts Enable
	INTCONbits.GIE 	= 1;			
	
	// Enable peripheral interrupts
	INTCONbits.PEIE = 1;				
}


#endif
